Types.h File Reference
`#include <stddef.h>`

Go to the source code of this file.

## Macros

#define | GR2_API _gr2_tag_fn(_gr2_import_flag)
#define | GR2_DEPRECATED_API _gr2_tag_fn(_gr2_deprecated_flag _gr2_and _gr2_import_flag)

## Typedefs

typedef unsigned char | gr_uint8
typedef gr_uint8 | gr_byte
typedef signed char | gr_int8
typedef unsigned short | gr_uint16
typedef short | gr_int16
typedef unsigned int | gr_uint32
typedef int | gr_int32

## Enumerations

enum | gr_encform { gr_utf8 = 1 , gr_utf16 = 2 , gr_utf32 = 4 }

## Macro Definition Documentation

## GR2_API

#define GR2_API _gr2_tag_fn(_gr2_import_flag)

## GR2_DEPRECATED_API

#define GR2_DEPRECATED_API _gr2_tag_fn(_gr2_deprecated_flag _gr2_and _gr2_import_flag)

## Typedef Documentation

## gr_byte

typedef gr_uint8 gr_byte

## gr_int16

typedef short gr_int16

## gr_int32

typedef int gr_int32

## gr_int8

typedef signed char gr_int8

## gr_uint16

typedef unsigned short gr_uint16

## gr_uint32

typedef unsigned int gr_uint32

## gr_uint8

typedef unsigned char gr_uint8

## Enumeration Type Documentation

## gr_encform

enum gr_encform

Enumerator
gr_utf8 |
gr_utf16 |
gr_utf32 |